- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# drop_empty_rows_action Class Reference

Physically removes empty rows in presolve, and reinserts empty rows in postsolve. More...

`#include <CoinPresolveEmpty.hpp>`

Inheritance diagram for drop_empty_rows_action:

[legend]
Collaboration diagram for drop_empty_rows_action:

[legend]
List of all members.

## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
| ~drop_empty_rows_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
## Private Member Functions
| drop_empty_rows_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_
## Classes
struct | action

## Detailed Description

Physically removes empty rows in presolve, and reinserts empty rows in postsolve.

Physical removal of rows and columns should be the last activities performed during presolve. Do them exactly once. The row-major matrix is not maintained by this transform.

To physically drop the rows, the rows are renumbered, excluding empty rows. This involves rewriting CoinPrePostsolveMatrix::hrow_ and compressing the row bounds and (if present) the row portions of the solution.

Todo:
  Confirm behaviour when a solution is present in presolve.

Definition at line 84 of file CoinPresolveEmpty.hpp.

## Constructor & Destructor Documentation

drop_empty_rows_action::drop_empty_rows_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 96 of file CoinPresolveEmpty.hpp.

drop_empty_rows_action::~drop_empty_rows_action | ( |  | ) | `[inline]`

Definition at line 111 of file CoinPresolveEmpty.hpp.

References actions_, and deleteAction.

## Member Function Documentation

const char* drop_empty_rows_action::name | ( |  | ) | const`[inline, virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

Definition at line 104 of file CoinPresolveEmpty.hpp.

static const CoinPresolveAction* drop_empty_rows_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void drop_empty_rows_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int drop_empty_rows_action::nactions_`[private]`

Definition at line 93 of file CoinPresolveEmpty.hpp.

const action* const drop_empty_rows_action::actions_`[private]`

Definition at line 94 of file CoinPresolveEmpty.hpp.

Referenced by ~drop_empty_rows_action().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/CoinUtils/src/CoinPresolveEmpty.hpp